FFS(3)

NAME
ffs - find first bit set in a bit string

SYNOPSIS
#include <strings.h>
int
ffs(int value);

DESCRIPTION
The ffs() function finds the first bit set in value and returns the index of that bit. Bits are numbered starting from 1, starting at the rightmost bit. A return value of 0 means that the argument was zero.

SEE ALSO
bitstring(3)

STANDARDS
The ffs() function conforms to p1003.1-2008.

HISTORY
The ffs() function first appeared in 4.2BSD.